# Class: AttachmentClient

## AttachmentClient

## Constructor

#### new AttachmentClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/atachment'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/attachment.js, line 7

### Methods

#### deleteAttachment(opts, callback)

Remove an attachment from an issue.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options for the API request.

###### Properties

Name | Type | Description
--- | --- | ---
`attachmentId` |  | The id of the attachment to delete

`callback` |  | Called when the attachment is deleted.

Source:
  - api/attachment.js, line 40

#### getAttachment(opts, callback)

Returns the meta-data for an attachment, including the URI of the actual attached file.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options for the API request.

###### Properties

Name | Type | Description
--- | --- | ---
`attachmentId` |  | The id of the attachment to retrieve

`callback` |  | Called when the attachment metadata is retrieved.

Source:
  - api/attachment.js, line 16

#### getGlobalAttachmentMetadata(opts, callback)

Returns the meta informations for an attachments, specifically if they are enabled and the maximum upload size allowed.

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | This API request actually takes no options; this parameter is ignored.
`callback` |  | Called when the metadata is retrieved.

Source:
  - api/attachment.js, line 65